## javax.faces.el
Class VariableResolver

    java.lang.Object
      javax.faces.el.VariableResolver

public abstract class VariableResolver
extends java.lang.Object

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Thomas Spiegl (latest modification by $Author: mwessendorf $)

Constructor Summary
`VariableResolver()`

Method Summary
`abstract java.lang.Object` `resolveVariable(FacesContext facesContext, java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableResolver

    public VariableResolver()

Method Detail

### resolveVariable

    public abstract java.lang.Object resolveVariable(FacesContext facesContext,
                                                     java.lang.String name)
                                              throws EvaluationException

  Throws:
    `EvaluationException`